Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.pattern
Interface PatternFinder

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AnchorPattern, ConditionalPattern, IDPattern, IdrefTest, KeyPattern, LocationPathPattern, NodeSetPattern, NodeTestPattern, PathFinder, Pattern, UnionPattern

    public interface PatternFinder

extends Serializable

This interface enables a client to find all nodes in a document that match a particular pattern. In fact, it allows any subset of nodes in a document to be located. It is used specifically by the internal implementation of keys. In XSLT, the criterion for including nodes in a key is that they match an XSLT pattern. Internally, however, keys are used for a wider range of purposes, and the nodes indexed by the key are defined by a PatternFinder

Method Summary
`SequenceIterator` | `selectNodes(DocumentInfo doc, XPathContext context)` Select nodes in a document using this PatternFinder.

Method Detail

### selectNodes

    SequenceIterator selectNodes(DocumentInfo doc,
                                 XPathContext context)
                                 throws XPathException

  Select nodes in a document using this PatternFinder.

  Parameters:
    `doc` - the document node at the root of a tree
    `context` - the dynamic evaluation context
  Returns:
    an iterator over the selected nodes in the document.
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.